{varType Skadmin\TournamentGame\Doctrine\Tournament\Tournament $tournament}

<div class="row">
    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body js-sorting">

                <div class="row">
                    <div class="col-12 text-right">
                        <a href="{$linkBack}" class="btn btn-xs btn-primary"><i class="fas fa-fw fa-chevron-left"></i> {_'tournament-game.bracket.back'}</a>
                        <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'edit', id => $tournament->getId()}" class="btn btn-xs btn-outline-primary"><i class="fas fa-fw fa-trophy"></i> {_'tournament-game.bracket.detail-tournament'}</a>
                    </div>
                </div>

                {if $tournament->getBracket() instanceOf Skadmin\TournamentGame\Doctrine\TournamentBracket\TournamentBracket}
                    <div class="row mt-3 js-sorting-item" data-stage-id="{$stage->getId()}" n:foreach="$tournament->getBracket()->getStages() as $stage">
                        <div class="col-12 mt-2">
                            <div class="card shadow">
                                <div class="card-body border border-{$stage->isPublic() ? 'success' : 'danger'}">

                                    <div class="row align-items-center">
                                        <div class="col-2 col-md-3 font-weight-bold text-center">
                                            <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'edit-bracket-stage', id => $stage->getId()}"
                                               class="ajax no-hover stretched-link w-100">
                                                <img src="{$basePath}/_admin/icons/icon-stage-{$stage->getType()|webalize}.svg" alt="{$stage->getType()}">
                                            </a>
                                        </div>

                                        <div class="col-8 col-md-8">
                                            <h5>{$stage->getName()}</h5>
                                            <div>
                                                <table>
                                                    <tr n:if="!$stage->isWillPlayInTheFinals()">
                                                        <td>{_'tournament-game.bracket.number-of-rounds'}</td>
                                                        <td class="pl-2">{$stage->getNumberOfRounds()}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>{_'tournament-game.bracket.count-of-participants'}</td>
                                                        <td class="pl-2">{$stage->getParticipants()->count()}</td>
                                                    </tr>
                                                    <tr n:if="!$stage instanceOf Skadmin\TournamentGame\Doctrine\TournamentBracketStage\Type\TournamentBracketStageRoundRobinDuel">
                                                        <td>{_'tournament-game.bracket.best-of-game'}</td>
                                                        <td class="pl-2">{$stage->getBestOfGame()}</td>
                                                    </tr>
                                                    <tr n:if="$stage instanceOf Skadmin\TournamentGame\Doctrine\TournamentBracketStage\Type\TournamentBracketStageDoubleElimination">
                                                        <td>{_'tournament-game.bracket.best-of-game-loser'}</td>
                                                        <td class="pl-2">{$stage->getBestOfGameLoser()}</td>
                                                    </tr>
                                                    {if $stage instanceOf Skadmin\TournamentGame\Doctrine\TournamentBracketStage\Type\TournamentBracketStageRoundRobinDuel}
                                                        <tr>
                                                            <td>{_'tournament-game.bracket.number-of-duels'}</td>
                                                            <td class="pl-2">{$stage->getNumberOfDuels()}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>{_'tournament-game.bracket.number-of-round-duels'}</td>
                                                            <td class="pl-2">{$stage->getNumberOfRoundDuels()}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>{_'tournament-game.bracket.sequential-display-of-duels'}</td>
                                                            <td class="pl-2">{$stage->isSequentialDisplayOfDuels() ? 'yes' : 'no'|translate}</td>
                                                        </tr>
                                                    {/if}
                                                </table>
                                            </div>
                                        </div>

                                        <div class="col-2 col-md-1 text-right">
                                            <a href="#" class="fad fa-fw fa-2x fa-arrows-alt no-hover mb-2 js-sorting-handle" title="{_'tournament-game.bracket.bracket-sort'}"></a>

                                            <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'edit-bracket-stage', id => $stage->getId()}"
                                               class="fad fa-fw fa-2x fa-pen no-hover ajax mb-2" data-toggle="tooltip" data-placement="left"
                                               title="{_'tournament-game.bracket.edit-bracket-stage'}">
                                            </a>

                                            <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'bracket-stage-view', id => $stage->getId()}"
                                               class="fad fa-fw fa-2x fa-eye no-hover mb-2" data-toggle="tooltip" data-placement="left"
                                               title="{_'tournament-game.bracket.bracket-stage-view'}"></a>

                                            <a href="#" data-confirm="{_'tournament-game.bracket.bracket-stage-remove.confirm'}" data-link="{link removeStage!, id => $stage->getBracket()->getTournament()->getId(), stageId => $stage->getId()}"
                                               class="fad fa-fw fa-2x fa-trash-alt no-hover text-danger" data-toggle="tooltip" data-placement="left"
                                               title="{_'tournament-game.bracket.bracket-stage-remove'}"></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {/if}

                <div class="row mt-3">
                    <div class="col-12 mt-2">
                        <div class="card shadow px-3 py-4">
                            <div class="card-body d-flex">
                                <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'edit-bracket-stage', tournamentId => $tournament->getId()}"
                                   class="ajax no-hover stretched-link w-100 text-center {($tournament->getBracket() !== null && $tournament->getBracket()->getStages()->count() > 0) ? 'text-muted op-50'}">
                                    <i class="fad fa-4x fa-plus-hexagon"></i>
                                    <span class="d-block mt-4">{_'tournament-game.bracket.create-bracket-stage'}</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<script n:syntax="double">
    $(function () {
        $('.js-sorting')
            .sortable({
                placeholder: 'ui-state-highlight',
                items: '.js-sorting-item',
                handle: '.js-sorting-handle',
                cursorAt: {
                    top: 50,
                    right: 65
                },
                start: function (e, ui) {
                    $('.js-sorting .ui-state-highlight')
                        .html('<div></div>')
                        .addClass('mt-3')
                        .css('height', $('.js-sorting-item:first').height());
                },
                update: function (e, ui) {
                    let order = {};
                    let index = 1;
                    ui.item.closest('.js-sorting').find('.js-sorting-item').each(function () {
                        order[$(this).data('stage-id')] = index++;
                    });

                    let url = {{link updateSequence! jsonOrder => 'jsonOrderParam'}};

                    $.nette.ajax({
                        url: url.replace('jsonOrderParam', JSON.stringify(order))
                    });
                }
            });
    });
</script>


<style>
    .ui-sortable-handle {
        transition: transform ease-in-out 250ms;
    }

    .ui-sortable-helper {
        transform: scale(0.98);
    }

    .ui-sortable-helper .js-gallery-btn {
        display: none !important;
    }

    .ui-state-highlight {
        background-color: transparent !important;
        border: none !important;
    }

    .ui-state-highlight div {
        background-color: rgba(51, 83, 113, 0.3);
        background-clip: border-box;
        border: 2px solid #335371;
        border-radius: 0.35rem;
        height: 100%;
    }
</style>